# eric7.Project.AddFoundFilesDialog

Module implementing a dialog to show the found files to the user.

### Global Attributes

None

### Classes

AddFoundFilesDialog | Class implementing a dialog to show the found files to the user.

### Functions

None

## AddFoundFilesDialog

Class implementing a dialog to show the found files to the user.

The found files are displayed in a listview. Pressing the 'Add All' button adds all files to the current project, the 'Add Selected' button adds only the selected files and the 'Cancel' button cancels the operation.

### Derived from

QDialog, Ui_AddFoundFilesDialog

### Class Attributes

None

### Class Methods

None

### Methods

AddFoundFilesDialog | Constructor
getSelection | Public method to return the selected items.
on_addAllButton_clicked | Private slot to handle the 'Add All' button press.
on_addSelectedButton_clicked | Private slot to handle the 'Add Selected' button press.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.

### Static Methods

None

#### AddFoundFilesDialog (Constructor)

AddFoundFilesDialog(files, parent=None, name=None)

Constructor

files
  list of files, that have been found for addition (list of strings)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string)

#### AddFoundFilesDialog.getSelection

getSelection()

Public method to return the selected items.

Return:
  list of selected files (list of strings)

#### AddFoundFilesDialog.on_addAllButton_clicked

on_addAllButton_clicked()

Private slot to handle the 'Add All' button press.

Always returns the value 1 (integer).

#### AddFoundFilesDialog.on_addSelectedButton_clicked

on_addSelectedButton_clicked()

Private slot to handle the 'Add Selected' button press.

Always returns the value 2 (integer).

#### AddFoundFilesDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

Up